package com.ssj.service.conch.parents.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author sh
 * @className ShareReq
 * @description TODO
 * @date 2020/6/4
 */
public class ShareReq extends BaseRequest {

    /**
     * vipId	是	string	学生id
     * type	是	int	1-周报 2-月报 3-中奖分享
     * subject	否	string	科目 type=1时 必传
     * sncode	否	string	奖品兑换码 type=3时使用
     */
    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    private String vipId;
    @ApiModelProperty(name = "type", value = "1-周报 2-月报 3-中奖分享", required = true)
    private Integer type;
    @ApiModelProperty(name = "subject", value = "科目 type=1时 必传", required = true)
    private String subject;
    @ApiModelProperty(name = "sncode", value = "奖品兑换码 type=3时使用", required = true)
    private String sncode;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public int getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getSncode() {
        return sncode;
    }

    public void setSncode(String sncode) {
        this.sncode = sncode;
    }
}
